<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message\PeerDataOperationRequestMessage;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class PlaceholderMessageResendRequest extends \Google\Protobuf\Internal\Message
{
    


    protected $messageKey = null;

    








    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getMessageKey()
    {
        return $this->messageKey;
    }

    public function hasMessageKey()
    {
        return isset($this->messageKey);
    }

    public function clearMessageKey()
    {
        unset($this->messageKey);
    }

    




    public function setMessageKey($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\MessageKey::class);
        $this->messageKey = $var;

        return $this;
    }

}

